var extractFbPath = require('../extract-fb-path');

module.exports = {
  name: 'click-button-remove',
  event: 'click',
  selector: '[data-action=remove][data-path]',
  handler: function(e) {
    var self = this;
    if (confirm('Are you sure?')) {
      var fbPath = extractFbPath(e.target, 'path');

      self.dataRef.child(fbPath).remove(function() {
        self.uploadsRef.child(fbPath).remove();
      });
    }
  }
};