module.exports = {
  name: 'input',
  selector: 'input[data-path],textarea[data-path]',
  update: function(el, newValue) {
    switch (el.type) {
      case 'file':
        break;
      case 'checkbox':
        el.checked = newValue === 1;
        break;
      default:
        el.value = newValue || '';
    }
  }
};