var extractFbPath = require('../extract-fb-path');

module.exports = {
  name: 'change-input-common',
  event: 'change',
  selector: [
    'input:not([type])[data-path]',
    'input[type=text][data-path]',
    'input[type=email][data-path]',
    'input[type=date][data-path]',
    'input[type=number][data-path]',
    'textarea[data-path]'
  ].join(','),
  handler: function(e) {
    var path = extractFbPath(e.target);
    var valueRef = this.dataRef.child(path);

    var value = e.target.value;
    if (value === '') {
      valueRef.remove();
    } else {
      valueRef.set(value);
    }
  }
};