var extractFbPath = require('../extract-fb-path');
var resize = require('../resize');

module.exports = {
  name: 'change-input-number',
  event: 'change',
  selector: 'input[type=number][data-path]',
  handler: function(e) {
    var valueRef = this.dataRef.child(extractFbPath(el));
    var value = e.target.value;
    if (value === '') {
      valueRef.remove();
    } else {
      valueRef.set(Number(value));
    }
  }
};